package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.LoginUser;
import com.jasamedika.medifirst2000.helper.Caption;

public class LoggingUserVO extends BaseTransactionVO {

	@NotNull(message = "Tanggal tidak boleh kosong")
	@Caption(value = "Tanggal")
	private Date tanggal;

	@NotNull(message = "User tidak boleh kosong")
	@Caption(value = "User")
	private LoginUser loginUser;

	private Integer loginUserId;

	@NotNull(message = "Jenis log tidak boleh kosong")
	@Caption(value = "Jenis Log")
	private String jenisLog;

	@NotNull(message = "Nomor referensi tidak boleh kosong")
	@Caption(value = "Nomor Referensi")
	private String noref;

	@NotNull(message = "Objek Referensi tidak boleh kosong")
	@Caption(value = "Referensi")
	private String referensi;

	@Caption(value = "Keterangan")
	private String keterangan;

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public LoginUser getLoginUser() {
		return loginUser;
	}

	public void setLoginUser(LoginUser loginUser) {
		this.loginUser = loginUser;
	}

	public Integer getLoginUserId() {
		return loginUserId;
	}

	public void setLoginUserId(Integer loginUserId) {
		this.loginUserId = loginUserId;
	}

	public String getJenisLog() {
		return jenisLog;
	}

	public void setJenisLog(String jenisLog) {
		this.jenisLog = jenisLog;
	}

	public String getNoref() {
		return noref;
	}

	public void setNoref(String noref) {
		this.noref = noref;
	}

	public String getReferensi() {
		return referensi;
	}

	public void setReferensi(String referensi) {
		this.referensi = referensi;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

}
